package de.duehl.swing.ui.highlightingeditor.buttonbar;

import de.duehl.basics.history.HistoryUser;
import de.duehl.swing.ui.elements.fontsize.FontSizeInteraction;

public interface EditorForButtonBar extends FontSizeInteraction, HistoryUser {

    /** Erstellt ein neues, leeres Dokument. */
    void newFile();

    /** Lädt ein Dokument. */
    void openFile();

    /** Speichert das Dokument. */
    void saveFile();

    /** Speichert das Dokument unter einem anderen Namen. */
    void saveFileAs();

}
